import type { User } from '$lib/server/drizzle';
import type { UserSession } from '$lib/server/users/types';
import type { Session } from 'svelte-kit-cookie-session';

type SessionData = {
	user?: UserSession;
};

// See https://kit.svelte.dev/docs/types#app
// for information about these interfaces
declare global {
	type PartialK<T, K extends PropertyKey = PropertyKey> = Partial<Pick<T, Extract<keyof T, K>>> &
		Omit<T, K> extends infer O
		? { [P in keyof O]: O[P] }
		: never;

	namespace App {
		// interface Error {}

		interface Locals {
			session: Session<SessionData>;
			user: User;
			privileges: string[];
		}

		interface PageData {
			session: SessionData;
		}

		// interface PageState {}
		// interface Platform {}
	}
}

export {};
