import i18n, { type Config } from 'sveltekit-i18n';

interface Params {
	siteName?: string;
	prefix?: string;
}

const config: Config<Params> = {
	loaders: [
		{
			locale: 'en',
			key: 'common',
			loader: async () => await import('./en/common.json')
		},
		{
			locale: 'en',
			key: 'account',
			loader: async () => await import('./en/account.json')
		},
		{
			locale: 'en',
			key: 'oauth2',
			loader: async () => await import('./en/oauth2.json')
		},
		{
			locale: 'en',
			key: 'admin',
			routes: [/\/ssoadmin/],
			loader: async () => await import('./en/admin.json')
		}
	]
};

export const { t, locale, locales, loading, loadTranslations } = new i18n(config);
