export class Changesets {
	static take<TRes>(
		fields: (keyof TRes)[],
		body: FormData,
		challenge?: Partial<TRes>
	): Partial<TRes> {
		return fields.reduce<Partial<TRes>>((accum, field) => {
			accum[field] = challenge
				? challenge[field]
				: ((body.get(field as string) as string)?.trim() as TRes[typeof field]);
			return accum;
		}, {});
	}
}
