import { env } from '$env/dynamic/private';
import { drizzle } from 'drizzle-orm/mysql2';
import mysql from 'mysql2/promise';
import * as schema from './schema';

const { DATABASE_DB, DATABASE_HOST, DATABASE_PASS } = env;

export class DB {
	static mysqlConnection: mysql.Connection;
	static drizzle: ReturnType<typeof drizzle<typeof schema>>;

	static async init() {
		DB.mysqlConnection = await mysql.createConnection({
			host: DATABASE_HOST,
			user: DATABASE_PASS,
			password: DATABASE_PASS,
			database: DATABASE_DB
		});

		DB.drizzle = drizzle(DB.mysqlConnection, { schema, mode: 'default' });
	}
}

export * from './schema';
