import { env } from '$env/dynamic/public';
import type { EmailTemplate } from '../template.interface';

export const ForgotPasswordEmail = (username: string, url: string): EmailTemplate => ({
	text: `
${env.PUBLIC_SITE_NAME}

Hello, ${username}! You have requested a password reset on ${env.PUBLIC_SITE_NAME}.

In order to change your password, please click on the following link.

Change your password: ${url}

If you did not request a password change on ${env.PUBLIC_SITE_NAME}, you can safely ignore this email.`,
	html: /* html */ `
<h1>${env.PUBLIC_SITE_NAME}</h1>

<p><strong>Hello, ${username}! You have requested a password reset on ${env.PUBLIC_SITE_NAME}.</strong></p>

<p>In order to change your password, please click on the following link.</p>

<p>Change your password: <a href="${url}" target="_blank">${url}</a></p>

<p>If you did not request a password change on ${env.PUBLIC_SITE_NAME}, you can safely ignore this email.</p>`
});
