import { env } from '$env/dynamic/public';
import type { EmailTemplate } from '../template.interface';

export const OAuth2InvitationEmail = (
	inviter: string,
	clientName: string,
	url: string
): EmailTemplate => ({
	text: `
${env.PUBLIC_SITE_NAME}

${inviter} has invited you to edit the "${clientName}" application on ${env.PUBLIC_SITE_NAME}.

Please use the following link to accept the invitation.

Accept invitation: ${url}

This email was sent to you because someone invited you to contribute to an application on ${env.PUBLIC_SITE_NAME}. If you believe that this was sent in error, you may safely ignore this email.`,
	html: /* html */ `
<h1>${env.PUBLIC_SITE_NAME}</h1>

<p>${inviter} has invited you to edit the "${clientName}" application on ${env.PUBLIC_SITE_NAME}.

<p><b>Please use the following link to accept the invitation:</b></p>

<p>Accept invitation: <a href="${url}" target="_blank">${url}</a></p>

<p>This email was sent to you because someone invited you to contribute to an application on ${env.PUBLIC_SITE_NAME}. If you believe that this was sent in error, you may safely ignore this email.</p>`
});
