import { env } from '$env/dynamic/public';
import type { EmailTemplate } from '../template.interface';

export const RegistrationEmail = (username: string, url: string): EmailTemplate => ({
	text: `
${env.PUBLIC_SITE_NAME}

Welcome to ${env.PUBLIC_SITE_NAME}, ${username}!

In order to proceed with logging in, please click on the following link to activate your account.

Activate your account: ${url}

This email was sent to you because you have created an account on ${env.PUBLIC_SITE_NAME}. If you did not create an account, you may contact us or just let the account expire.`,
	html: /* html */ `
<h1>${env.PUBLIC_SITE_NAME}</h1>

<p><strong>Welcome to ${env.PUBLIC_SITE_NAME}, ${username}!</strong></p>

<p>In order to proceed with logging in, please click on the following link to activate your account.</p>

<p>Activate your account: <a href="${url}" target="_blank">${url}</a></p>

<p>This email was sent to you because you have created an account on ${env.PUBLIC_SITE_NAME}. If you did not create an account, you may contact us or just let the account expire.</p>`
});
