export interface UserSession {
	uid: number;
	uuid: string;
	name: string;
	username: string;
	privileges?: string[];
}

export interface OAuth2ClientInfo {
	links: { url: string; type: string }[];
	client_id: string;
	title: string;
	description: string | null;
	grants: string;
	allowedScopes: string[];
	disallowedScopes: string[];
}

export interface PaginationMeta {
	rowCount: number;
	pageSize: number;
	pageCount: number;
}

export interface Paginated<T> {
	list: T[];
	meta: PaginationMeta;
}
