export type RequiredPrivileges = (string | string[])[];

export const hasPrivileges = (list: string[], privileges: RequiredPrivileges) =>
	privileges.every((item) => {
		if (Array.isArray(item)) {
			return item.some((sub) => list.includes(sub));
		}
		return list.includes(item);
	});
