import { browser } from '$app/environment';
import { loadTranslations } from '$lib/i18n';
import { themeMode } from '$lib/theme-mode';

export const load = async ({ url }) => {
	const { pathname } = url;

	const initLocale = 'en'; // get from cookie, user session, ...

	if (browser) {
		themeMode.subscribe((value) => document.documentElement.setAttribute('theme-base', value));
	}

	await loadTranslations(initLocale, pathname);

	return {};
};
