import { env as privateEnv } from '$env/dynamic/private';
import { env as publicEnv } from '$env/dynamic/public';
import { json } from '@sveltejs/kit';

export const GET = async () =>
	json({
		issuer: privateEnv.JWT_ISSUER,
		authorization_endpoint: `${publicEnv.PUBLIC_URL}/oauth2/authorize`,
		token_endpoint: `${publicEnv.PUBLIC_URL}/oauth2/token`,
		jwks_uri: `${publicEnv.PUBLIC_URL}/.well-known/jwks.json`,
		userinfo_endpoint: `${publicEnv.PUBLIC_URL}/api/user`,
		introspection_endpoint: `${publicEnv.PUBLIC_URL}/oauth2/introspect`,
		device_authorization_endpoint: `${publicEnv.PUBLIC_URL}/oauth2/device_authorization`,
		response_types_supported: ['code', 'id_token'],
		id_token_signing_alg_values_supported: [privateEnv.JWT_ALGORITHM],
		subject_types_supported: ['public'],
		scopes_supported: ['openid', 'profile', 'picture', 'email'],
		claims_supported: [
			'aud',
			'exp',
			'iat',
			'iss',
			'sub',
			'name',
			'preferred_username',
			'nickname',
			'picture',
			'updated_at',
			'email',
			'email_verified'
		],
		code_challenge_methods_supported: ['plain', 'S256'],
		grant_types_supported: [
			'authorization_code',
			'refresh_token',
			'urn:ietf:params:oauth:grant-type:device_code'
		]
	});
