import { Uploads } from '$lib/server/upload.js';
import { readFile } from 'fs/promises';
import { join } from 'path';

export async function GET({ params: { uuid } }) {
	const uploadFile = await Uploads.getClientAvatarById(uuid);
	if (!uploadFile) {
		const fallback = await Uploads.getClientFallback();
		return new Response(fallback, {
			status: 200,
			headers: {
				'Content-Type': 'image/png'
			}
		});
	}

	const readUpload = await readFile(join(Uploads.uploads, uploadFile.file));
	return new Response(readUpload, {
		status: 200,
		headers: {
			'Content-Type': uploadFile.mimetype
		}
	});
}
