import { OAuth2Error } from '$lib/server/oauth2/error.js';
import { OAuth2IntrospectionController } from '$lib/server/oauth2/controller/introspection.js';
import { OAuth2Response } from '$lib/server/oauth2/response.js';

export const POST = async ({ request, url }) => {
	try {
		return await OAuth2IntrospectionController.postHandler({ request, url });
	} catch (error) {
		if (error instanceof OAuth2Error) {
			return OAuth2Response.error(url, error);
		}
		throw error;
	}
};
